DATA example5_1;         
DO hp=1 TO 2;              /*定义行变量，表明hp有2行*/
DO progression=1 TO 2;   /*定义列变量，表明progression有2列*/
INPUT f@@;                 /*输入例数*/
OUTPUT;
END;
END;
CARDS;
1247 164
443 35
;
PROC FREQ;                 /*调用freq程序*/
WEIGHT f;                  /*表明输入的f是一个权重值*/
TABLE hp*progression/chisq expected relrisk;    
/*table语句列出列联表，chisq选项调用χ2检验结果，expected输出理论频数，relrisk输出相对危险度*/
RUN; 
